Page MenuHomePhabricator

[Power9] Implement new vsx instructions: load, store instructions for vector and scalar
ClosedPublic

Authored by cycheng on Feb 5 2016, 1:59 AM.

Details

Summary

We follow the comments mentioned in http://reviews.llvm.org/D16842#344378 to implement this new patch.

This patch implements the following vsx instructions:

  • Vector load/store:
    1. lxv lxvx lxvb16x lxvl lxvll lxvh8x lxvwsx
    2. stxv stxvb16x stxvh8x stxvl stxvll stxvx
  • Scalar load/store:
    1. lxsd lxssp lxsibzx lxsihzx
    2. stxsd stxssp stxsibx stxsihx

21 instructions

Diff Detail

Event Timeline

cycheng updated this revision to Diff 47003.Feb 5 2016, 1:59 AM
cycheng retitled this revision from to [Power9] Implement new vsx instructions: load, store instructions for vector and scalar.
cycheng updated this object.
cycheng added reviewers: hfinkel, nemanjai, kbarton, tjablin.
cycheng added a subscriber: llvm-commits.
kbarton edited edge metadata.Mar 7 2016, 11:42 AM

LGTM.
Needs to be rebased to current trunk. Once that is done I can commit it.

kbarton accepted this revision.Mar 7 2016, 11:43 AM
kbarton edited edge metadata.
This revision is now accepted and ready to land.Mar 7 2016, 11:43 AM
cycheng updated this revision to Diff 50011.Mar 7 2016, 4:53 PM
cycheng edited edge metadata.

Rebase to r262428 (Mar 2 2016) with tiny changes

kbarton closed this revision.Mar 7 2016, 7:54 PM

Committed r262906